GNU bug report logs - #36574
Kernel module not found at boot time due to hyphen/underscore mismatch

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Meiyo Peng <meiyo@HIDDEN>; merged with #34902; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'Kernel module not found at boot time due to hyphen/underscore mismatch' from 'The installer recommends wrong initrd module names' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36574 <at> debbugs.gnu.org:


Received: (at 36574) by debbugs.gnu.org; 31 Jul 2019 21:04:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 17:04:48 2019
Received: from localhost ([127.0.0.1]:53168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsvmB-00047m-VJ
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 17:04:48 -0400
Received: from w1.tutanota.de ([81.3.6.162]:24332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lukasbf@HIDDEN>) id 1hsvmA-00047W-7w
 for 36574 <at> debbugs.gnu.org; Wed, 31 Jul 2019 17:04:47 -0400
Received: from w2.tutanota.de (unknown [192.168.1.163])
 by w1.tutanota.de (Postfix) with ESMTP id 2DA09FBF287
 for <36574 <at> debbugs.gnu.org>; Wed, 31 Jul 2019 21:04:40 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1564607080; 
 s=s1; d=tutanota.com;
 h=Date:From:To:Message-ID:Subject:MIME-Version:Content-Type;
 bh=1gheoYQ1V2O8bSGSSprv4SbISixgI7b431Add/VOAHU=;
 b=WLqKM7946Lg6ub1mUxs0G1t59WmTV6DkPK+ZYsTOD7RunEiVhbp5h8Z0qSeBT3U1
 F546jLVsbbE7Cuql47/+bcZQUtpR9IwzhoGkuAUGvHkT0utr6KVdiu/MzSD6j414808
 IEX15p0QOAkIigKz5H3owA4dcL03MhOxIQM4Pdb8LJ4izB8lnjCgWlMyWRikwdsBtYn
 Y3KwxgEZDT9svb/U246TbZL7KTnwiqOcoJp+bsMMkdsQJ6yUpV0B37rjTAY6wmZ1CBb
 3tHzlt8UtSq8jBOU1UwMuPSx7WO/Ox8+YUpJK0SGyipU5Fj8bz3LsSvbvPN253ymK59
 c3dwsSEunQ==
Date: Wed, 31 Jul 2019 23:04:40 +0200 (CEST)
From: <lukasbf@HIDDEN>
To: <36574 <at> debbugs.gnu.org>
Message-ID: <Ll8qLFk--3-1@HIDDEN>
Subject: The installer recommends wrong initrd module names
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_74332_707584232.1564607080177"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36574
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

------=_Part_74332_707584232.1564607080177
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

I have this problem too
------=_Part_74332_707584232.1564607080177
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  </head>
  <body>
<div style="16px" text-align="left">I have this problem too</div>  </body>
</html>

------=_Part_74332_707584232.1564607080177--




Information forwarded to bug-guix@HIDDEN:
bug#36574; Package guix. Full text available.

Message received at 36574 <at> debbugs.gnu.org:


Received: (at 36574) by debbugs.gnu.org; 11 Jul 2019 01:51:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 21:51:20 2019
Received: from localhost ([127.0.0.1]:36871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlOEy-0000YY-9s
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 21:51:20 -0400
Received: from mx1.riseup.net ([198.252.153.129]:41432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meiyo@HIDDEN>) id 1hlOEx-0000YQ-3g
 for 36574 <at> debbugs.gnu.org; Wed, 10 Jul 2019 21:51:19 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 00BDD1A1049;
 Wed, 10 Jul 2019 18:51:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1562809878; bh=gNAwEhc4bQj7M+/tatjnIs16XOwqsFAiKrKcNlCANqc=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=r34UUbMJ44xGxJck86UTlKvYyVXeFKSrgSoBgxaKN/iZ4nkDSVy3SkVwZv9IxreCC
 Plg/eCldn7LJ/lBTTiA8uuj1iPu3nEYFBGVDzzOPtaz75S42unPuGjLn2wrhSPPHQ6
 UVtyZVdLaUEDwNkmP55O+S9J9ZQTtYsdnkzTDoQY=
X-Riseup-User-ID: B181649E1D876911028AEA62E9EA0939DB139C84AB5DA001DD20DCB40CFB0501
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id E7C522220B0;
 Wed, 10 Jul 2019 18:51:16 -0700 (PDT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id f3a4941d;
 Thu, 11 Jul 2019 01:51:15 +0000 (UTC)
References: <87wogqxim8.fsf@HIDDEN> <87zhlmywbf.fsf@nckx>
From: Meiyo Peng <meiyo@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#36574: The installer recommends wrong initrd module names
In-reply-to: <87zhlmywbf.fsf@nckx>
Date: Thu, 11 Jul 2019 09:51:15 +0800
Message-ID: <87tvbtxrsc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36574
Cc: 36574 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Tobias Geerinckx-Rice writes:

> Do you think this is the revenge of [0]?

Yes, I think so.

> If so, could you merge the two?

Done.  Thanks.

> [0]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34902


--
Meiyo Peng
https://www.pengmeiyu.com/




Information forwarded to bug-guix@HIDDEN:
bug#36574; Package guix. Full text available.
Merged 34902 36574. Request was from Meiyo Peng <meiyo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36574 <at> debbugs.gnu.org:


Received: (at 36574) by debbugs.gnu.org; 10 Jul 2019 11:15:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 07:15:58 2019
Received: from localhost ([127.0.0.1]:34899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlAZq-0004Bo-2Y
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 07:15:58 -0400
Received: from tobias.gr ([80.241.217.52]:60012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1hlAZl-0004Bb-0N
 for 36574 <at> debbugs.gnu.org; Wed, 10 Jul 2019 07:15:55 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 683f2492
 for <36574 <at> debbugs.gnu.org>; Wed, 10 Jul 2019 11:15:49 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=0ZrgnF7S6GmxxR9B8IgJ3u
 7mnKDOWryhCPjJ672wkoM=; b=VqsgCfuPTmpWOyK+9a2tQioQ6epY9FAcrLOdFF
 g+rtMKwGDXDAB6Rw9Vx/qneeuAWrakRUwIGZp7vhJnwKn11n6ppeB9KmJt5e2NMA
 A5jxmfSTDN2+/A9Cp/1JRaTAyKHw6g/jSbhlElBJ4szbyJ3Io6kb9RaqYTsprw3f
 VKjUD8B4IqKMKX4i0molrDieuzaJr0ebj6WEJXB6Zi7hncfQ6AqLPD913MXBA/WW
 P6CV7eBJ67wKJntz7nFsfF+FVG8bfrHcZqmYDWPIlAQ9xjtkmHwIXvwnfxiNWfUL
 iB/ATAjm1fcwfleSz2HGLhecj1XUssVj2j3kscyInFD0ukug==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 75a7d9c4
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO)
 for <36574 <at> debbugs.gnu.org>; Wed, 10 Jul 2019 11:15:49 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 36574 <at> debbugs.gnu.org
Subject: Re: bug#36574: The installer recommends wrong initrd module names
References: <87wogqxim8.fsf@HIDDEN>
In-reply-to: <87wogqxim8.fsf@HIDDEN>
Date: Wed, 10 Jul 2019 13:15:48 +0200
Message-ID: <87zhlmywbf.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36574
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; format=flowed

Hullo,

Meiyo Peng wrote:
> So the problem is that the Guix installer recommends wrong 
> initrd module
> names to user.

Do you think this is the revenge of [0]?  If so, could you merge 
the two?

Kind regards,

T G-R

[0]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34902

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXSXI5AAKCRANsP+IT1Vt
eemnAQCGqJ+pEiY2CsH2lVLsMWfeb2AA0lY//+PwjZvZeVu19wD/bUZaaQfNQfhA
CVyFc3pvvmL/r3jXYrgLt79K5sGLDAI=
=iErg
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36574; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jul 2019 10:57:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 06:57:13 2019
Received: from localhost ([127.0.0.1]:34886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlAHh-0003jT-Dh
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 06:57:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:48683)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meiyo@HIDDEN>) id 1hlAHf-0003jM-Mw
 for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 06:57:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53463)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <meiyo@HIDDEN>) id 1hlAHe-0006q7-Fj
 for bug-guix@HIDDEN; Wed, 10 Jul 2019 06:57:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 UNPARSEABLE_RELAY,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <meiyo@HIDDEN>) id 1hlAHd-0007jm-86
 for bug-guix@HIDDEN; Wed, 10 Jul 2019 06:57:10 -0400
Received: from mx1.riseup.net ([198.252.153.129]:36526)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <meiyo@HIDDEN>) id 1hlAHc-0007id-R0
 for bug-guix@HIDDEN; Wed, 10 Jul 2019 06:57:09 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id CD04D1A3E93
 for <bug-guix@HIDDEN>; Wed, 10 Jul 2019 03:57:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1562756226; bh=5dnCoEGmUsXHQs5JfnMg0AY6PSqdNV6w1QwsVrTDgbE=;
 h=From:To:Subject:Date:From;
 b=sZIQhsrEGREGWUb3+cf3QxUBtjqbLvxVmibjSqVQ70tsYOb0+WSIcZ4XsjcLfP/vo
 tkKUs7BDHiyoFCz6XzYX06VcvmJq9oMB0jKI2SmiHM4GNAABJ7I3/T45Hh/q66VV91
 i7+mfVGRp0tuckksAbobD0ZINf3xpwegEashxEWg=
X-Riseup-User-ID: CA08D185E3702993EE93E8838ED70DB8F917D04254D78ED4964E1EDC135F06C9
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 31A91223605
 for <bug-guix@HIDDEN>; Wed, 10 Jul 2019 03:57:05 -0700 (PDT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 885fc5d1
 for <bug-guix@HIDDEN>; Wed, 10 Jul 2019 10:57:03 +0000 (UTC)
From: Meiyo Peng <meiyo@HIDDEN>
To: bug-guix@HIDDEN
Subject: The installer recommends wrong initrd module names
Date: Wed, 10 Jul 2019 18:57:03 +0800
Message-ID: <87wogqxim8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi,

When I install Guix on a low end computer using the `guix system init`
command, the installer says that "mmc_block" and "sdhci_acpi" should be
added into initrd-modules:

#+begin_example
  error: you may need these modules in the initrd for /dev/mmcblk0p2: mmc_block sdhci_acpi
  hint: Try adding them to the `initrd-modules' field of your `operating-system' declaration, along these lines:

        (operating-system
          ;; ...
          (initrd-modules (append (list "mmc_block" "sdhci_acpi")
                                  %base-initrd-modules)))
#+end_example

This computer has an eMMC disk, so this sounds reasonable.  I made that
modification and the installation process succeeded.  But when I boot
the computer, it complained that "sdhci_acpi" could not be found.  After
spending hours digging around, I finally found out that the required
module name is actuall called "sdhci-acpi" rather than "sdhci_acpi".
The computer can successfully boot into Guix when I replace "sdhci_acpi"
with "sdhci-acpi" and reinstall Guix.

So the problem is that the Guix installer recommends wrong initrd module
names to user.


--
Meiyo Peng
https://www.pengmeiyu.com/




Acknowledgement sent to Meiyo Peng <meiyo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#36574; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 16 Aug 2019 21:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.